#ifndef EDGE_H
#define	EDGE_H

#include <cv.h>
using namespace cv;

class Edge {
    
    double length; //cm
    string name; //"" || door_number
    //vector<KeyPoint> descriptors;
    std::map<double, Mat> descriptors;
    vector<int> neighbours;
    //vector<int> neighbour0, 1;
    int isLeft;
    
public:
    Point2f p1, p2;
    Edge(int x1, int y1, int x2, int y2);
    Edge(Point2f* a, Point2f* b);
    Edge(char* x1, char* y1, char* x2, char* y2);
    Edge(const Edge& orig);
    virtual ~Edge();
    void draw(Mat image, int scale, bool drawKeyPoints);
    void addDoorNumber(string number);
    string getDoorNumber();
    double getLength();    
    void addKeyPoint(double position, Mat descriptor);
    void removeKeyPoint(double len, Mat* descriptor);
    std::map<double, Mat>* getDescriptors();
    Mat* getDescriptorsValues();
    Point2f getDescriptor(Mat* descriptor);
    Point2f getCenter();
private:
    void init(int x1, int y1, int x2, int y2);
};

#endif	/* EDGE_H */

