#ifndef MAP_H
#define	MAP_H

#include <stdio.h>
#include "Edge.h"
using namespace std;

typedef pair<int, Edge*> MapMapPair;
typedef map<int, Edge*> MapMap;

class Map {
  MapMap edges;
 // static int actualEdge;
//  int positionOnEdge;
  int width;
  int height;
  Mat mapImage;
  Mat descriptors;
  Mat gridMap;

public:
    Map();
    Map(const Map& orig);
    virtual ~Map();
  
    void readMap(char* fileName);
    Edge addEdge(int x1, int x2, int y1, int y2);
    MapMapPair findInMap(cv::Mat* frame, int x, int y, cv::Point2f robotPosition);
    void drawMap();
    float countDist(Point2f p1, Point2f p2);
    Point2f intersection(Point2f* x1, Point2f* y1, Point2f* x2, Point2f* y2);
    Point2f intersection(Edge* e1, Edge* e2);
    pair<int, Point2f> getNearestIntersecton(Edge* ray);
    pair<int, Point2f> getKeyPointPosition(Mat* kpDescriptor);
    int getWidth();
    int getHeight();
    Mat getImage();
    map<int, Edge*> getEdges();
    void drawLine(Point2f* p1, Point2f* p2, Scalar color);
    void drawPoint(Point2f p1, int r, Scalar color);
    void drawMapKeyPoints();
    void drawNumber(string s, Point2f position);
    void addKeyPoint(int edge, Point2f* position, Mat descriptor);
    void removeKeyPoint(int edge, Point2f* position, Mat* descriptor);
    void updateKeyPointPosition(int edge, Point2f* position, Mat descriptor, Point2f robotPosition);
    void saveMap(char* fileName);
    void readMapDescriptors(char* fileName);
    void readLog(char* fileName);
    Mat* getDescriptors();
private:
  
};

#endif	/* MAP_H */



