<?php

class SiteController extends Controller
{     
	/**
	 * Declares class-based actions.
	 */
	public function actions()
	{
		return array(
			'captcha'=>array(
				'class'=>'CCaptchaAction',
				'backColor'=>0xFFFFFF,
			),
			'page'=>array(
				'class'=>'CViewAction',
			),
		);
	}

	/**
	 * This is the default 'index' action that is invoked
	 * when an action is not explicitly requested by users.
	 */
	public function actionIndex()
	{
            $this->render('index');
	}

  public function actionPost()
	{        
            $model = new PathLog;
            $model->time = date('d.m.Y H:i:s', time());
            if(isset($_POST['PathLog'])) {
                $model->attributes=$_POST['PathLog'];
                $newTime = date_format(date_create($_POST['PathLog']['time']), 'Y-m-d H:i:s');
                $model->time = $newTime;
                if($model->validate() && $model->validateRooms()) {
                    $model->save();
                    $this->redirect(array('/site/map'));
                }
            }
            if(isset($_POST['getTask'])) {        
              $criteria = new CDbCriteria(array(
                    'condition' => 'state = 0 AND time >=\''.date('Y-m-d H:i:s').'\'',
                    'order' => 'time ASC',
                    'limit' => 1,
                ));                                          
                $result = $model->findAll($criteria);
                if (isset($result))
                  echo $result[0]->from.','.$result[0]->to.','.$result[0]->time;
                exit;  
            }
            if (!Yii::app()->user->isGuest) {
                $this->render('post',array('model'=>$model));
            } else {
              $this->redirect(Yii::app()->user->returnUrl);
            }
	}
  
  
  public function actionMap()
	{                                               
            $position = Position::model()->findByPk(1);
            if ($position == null) {
                $position = new Position;
            }
            $states = PathLog::getStates();  
            $pathLog = new PathLog('search');
            $pathLog->unsetAttributes();  // clear any default values
            if(isset($_GET['PathLog']))
                $pathLog->attributes = $_GET['PathLog'];
            if(isset($_POST['position'])) {
                $position->setNewPosition($_POST['position']);
                if (isset($_POST['taskDone']) && $_POST['taskDone'] == true) {
                    $pathLog->solveActualTask();
                } else if (isset($_POST['taskDone']) && $_POST['taskDone'] == false) {
                    $pathLog->setActualTaskUndelivered();
                }
                echo 'newPosition '.$position->position;
                exit;
            }
            $this->render('map', array('position'=>$position, 'pathLog'=>$pathLog, 'states'=>$states, 'model'=>$position));
	}
  
	/**
	 * This is the action to handle external exceptions.
	 */
	public function actionError()
	{
            if($error=Yii::app()->errorHandler->error) {
                if(Yii::app()->request->isAjaxRequest)
                    echo $error['message'];
		else
                    $this->render('error', $error);
            }
	}

	/**
	 * Displays the contact page
	 */
	public function actionContact()
	{
		$model=new ContactForm;
		if(isset($_POST['ContactForm'])){
			$model->attributes=$_POST['ContactForm'];
			if($model->validate()){
				$name='=?UTF-8?B?'.base64_encode($model->name).'?=';
				$subject='=?UTF-8?B?'.base64_encode($model->subject).'?=';
				$headers="From: $name <{$model->email}>\r\n".
					"Reply-To: {$model->email}\r\n".
					"MIME-Version: 1.0\r\n".
					"Content-Type: text/plain; charset=UTF-8";

				mail(Yii::app()->params['adminEmail'],$subject,$model->body,$headers);
				Yii::app()->user->setFlash('contact','Ďakujeme za Vašu správu.');
				$this->refresh();
			}
		}
		$this->render('contact',array('model'=>$model));
	}

	/**
	 * Displays the login page
	 */
	public function actionLogin()
	{
		$model=new LoginForm;
                if(isset($_POST['ajax']) && $_POST['ajax']==='login-form'){
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
		if(isset($_POST['LoginForm']))
		{
			$model->attributes=$_POST['LoginForm'];
			if($model->validate() && $model->login())
				$this->redirect(Yii::app()->user->returnUrl);
		}
		$this->render('login',array('model'=>$model));
	}

	/**
	 * Logs out the current user and redirect to homepage.
	 */
	public function actionLogout()
	{
		Yii::app()->user->logout();
		$this->redirect(Yii::app()->homeUrl);
	}
}