<?php
/* @var $this SiteController */
/* @var $model PostForm */
/* @var $form CActiveForm  */

$this->pageTitle=Yii::app()->name . ' - Pošta';
$this->breadcrumbs=array(
	'Pošta',
);
Yii::import('application.extensions.CJuiDateTimePicker.CJuiDateTimePicker');
?>
<h1>Pošta</h1>

<?php if(Yii::app()->user->hasFlash('post')): ?>

<div class="flash-success">
	<?php echo Yii::app()->user->getFlash('post'); ?>
</div>

<?php else: ?>

<p>
Vyplňte prosím nasledujúci formulár:
</p>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'post-form',
	'enableClientValidation'=>true,
	'clientOptions'=>array(
		'validateOnSubmit'=>true,
	),
)); ?>

	<p class="note">Polia označené <span class="required">*</span> sú povinné.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'from'); ?>
		<?php echo $form->dropDownList($model,'from',$model->getRooms(), array('style'=>'width:150px;'));?>
		<?php echo $form->error($model,'from'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'to'); ?>
		<?php echo $form->dropDownList($model,'to',$model->getRooms(), array('style'=>'width:150px;')); ?>
		<?php echo $form->error($model,'to'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'time'); ?>
		<?php  $this->widget('CJuiDateTimePicker',array(
                'model'=>$model,
                'attribute'=>'time',
                'mode'=>'datetime',
                'options'=>array(), // "dateFormat"=>'yy/mm/dd'
                'language'=>'sk',
                )); ?>
		<?php echo $form->error($model,'time'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton('Odoslať'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->

<?php endif; ?>

