import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.util.ArrayList;

class MySolution {
  private static int x1, y1, x2, y2 = 0;
  static int maxX;
  static int maxY = 0;
  private static int direction = 1; // zacinam v lavom hornom rohu a idem v
                                    // kladnom smere y
  static int id = 0;
  private static int width, height = 0;
  private static ArrayList<String> elements = new ArrayList<String>();

  public static String drawGrid() {
    String result = "";
    for (int i = 0; i < height + 45; i += 45) {
      result += "<line x1=\"0\" y1=\"" + Integer.toString(i) + "\" x2=\""
          + width + "\" y2=\"" + Integer.toString(i)
          + "\" style=\"stroke:rgb(169,169,169);stroke-width:1\" />";
    }
    for (int i = 0; i < width + 45; i += 45) {
      result += "<line x1=\"" + Integer.toString(i) + "\" y1=\"0\" x2=\""
          + Integer.toString(i) + "\" y2=\"" + height
          + "\" style=\"stroke:rgb(169,169,169);stroke-width:1\" />";
    }
    return result;
  }

  public static void main(String[] args) throws IOException {
    FileReader in = new FileReader(
        "C:/Users/Admin/Desktop/diplomovka/input.txt");
    BufferedReader stream = new BufferedReader(in);
    // x1 = 50;
    // x2 = 50;
    // y1 = 50;
    // y2 = 50;
    width = 4578;
    height = 4303;

    String line = "";
    String[] array;
    while ((line = stream.readLine()) != null) {
      array = line.split(" ");
      line = processLine(array, 2);
      if (!line.equals(""))
        elements.add(line);
    }
    stream.close();
    System.out.println(maxX + " " + maxY);
    createSvg("result.svg");
  }

  private static String addComment(String[] line) {
    String comment = "";
    for (int i = 1; i < line.length; i++)
      comment += line[i] + " ";
    return "<!-- " + comment + " -->";
  }

  private static void addLength(String type, int length) {
    if (type.equals("r")) {
      changeDirection(length);
    } else if (!type.equals("n")) {
      switch (direction) {
        case 0:
          x1 = x2;
          x2 += length;
          break;
        case 1:
          y1 = y2;
          y2 += length;
          break;
        case 2:
          x1 = x2;
          x2 -= length;
          break;
        case 3:
          y1 = y2;
          y2 -= length;
          break;
      }
    }
  }

  private static void changeDirection(int deg) {
    direction += (deg / 90) % 4;
    direction = direction % 4;
    x1 = x2;
    y1 = y2;
  }

  private static void createSvg(String fileName) {
    Writer writer = null;
    try {
      writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(
          fileName), "utf-8"));
      writer.write("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>\n");
      writer.write("<svg xmlns=\"http://www.w3.org/2000/svg\" height=\""
          + height + "\" width=\"" + width + "\">\n");
      for (String element : elements) {
        writer.write(element + "\n");
      }
      writer.write(drawGrid());
      writer.write("</svg>");
    } catch (IOException ex) {
      System.out.println("Can not write file");
    } finally {
      try {
        writer.close();
      } catch (Exception ex) {
      }
    }

  }

  private static String processLine(String[] line, int width) {
    if (line[0].equals("n")) {
      resetPosition(Integer.parseInt(line[1]), Integer.parseInt(line[2]));
      return "";
    } else if (line[0].equals("#")) {
      return addComment(line);
    }

    String additional = "lineId=\"" + id + "\" ";
    addLength(line[0], Integer.parseInt(line[1]));
    if (line[0].equals("r"))
      return "";
    if (line[0].equals("d")) {
      additional += "doors=\"" + line[2] + "\"";
      width = 4;
    }
    if (x1 > maxX)
      maxX = x1;
    if (x2 > maxX)
      maxX = x2;
    if (y1 > maxY)
      maxY = y1;
    if (y2 > maxY)
      maxY = y2;
    id++;
    return "<line x1=\"" + x1 + "\" y1=\"" + y1 + "\" x2=\"" + x2 + "\" y2=\""
        + y2 + "\" style=\"stroke:rgb(0,0,0);stroke-width:" + width + "\" "
        + additional + "/>";
  }

  private static void resetPosition(int x, int y) {
    // x1 = x + 50;
    // x2 = x + 50;
    // y1 = y + 50;
    // y2 = y + 50;
    x1 = x;
    y1 = y;
    x2 = x;
    y2 = y;
    direction = 1;
  }

}